package com.bjtdba.wares.dao;

import com.bjtdba.entity.wares.Merchant;
import com.bjtdba.wares.dto.SearchCriteriaDto;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface MerchantDao {

    Merchant selectByMerId(Integer mer_id);

    Merchant  selectByUId(SearchCriteriaDto searchCriteriaDto);

    List<Merchant> selectMerchant(SearchCriteriaDto searchCriteriaDto);
    List<Merchant> selectMerchantLeft(SearchCriteriaDto searchCriteriaDto);

    List<Merchant> selectByLatLng(String lat, String lng,String mer_keyword);
}
